/* gran.c - gaussian random number generator */

double ran();                             /* uniform generator */

double gran(mean, sigma, iseed)           /* x = gran(mean,sigma,&iseed) */
double mean, sigma;                       /* mean, variance = sigma^2 */
long *iseed;                              /* iseed passed by reference */
{
    double u = 0;
    int i;

    for (i = 0; i < 12; i++)              /* add 12 uniform random numbers */
        u += ran(iseed);

    return sigma * (u - 6) + mean;        /* adjust mean and variance */
}
